Skip to main content

Admin

Endpoints requiring administrative privileges


Bulk assign roles

Workspaces API

Version: 1.0

Assign multiple users a role in a workspace in a single request. Admin endpoints allow organization admin users to access any workspace, regardless of their role or lack thereof within the workspace.

Parameters

authorizationstring
Required

org_iduuid
Required

role"owner" | "editor" | "viewer"
user_iduuid
workspace_iduuid

{
"role_assignments": [
{
"role": "owner",
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workspace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]
}

Returns

200

Successful Response

undefinedunknown

Endpoint

POST
/workspace/admin/orgs/{org_id}/action/bulk_assign_roles

Request

curl -X POST 'https://{service_host}/workspace/admin/orgs/{org_id}/action/bulk_assign_roles' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.


Update ML enablements

Workspaces API

Version: 1.0

Update ML (machine learning) enablement status for a group of given workspaces. Admin endpoints allow organization admin users to access any workspace, regardless of their role or lack thereof within the workspace.

Parameters

authorizationstring
Required

org_iduuid
Required

ml_enabledboolean
workspace_iduuid

{
"ml_enablements": [
{
"ml_enabled": true,
"workspace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]
}

Returns

200

Successful Response

ml_enabledboolean
workspace_iduuid

Endpoint

POST
/workspace/admin/orgs/{org_id}/action/update_ml_enablement

Request

curl -X POST 'https://{service_host}/workspace/admin/orgs/{org_id}/action/update_ml_enablement' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"ml_enablements": [
{
"ml_enabled": true,
"workspace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]
}

Get organization settings

Workspaces API

Version: 1.0

Returns org settings, provided your user has access to the org.

Parameters

authorizationstring
Required

org_iduuid
Required

Returns

200

Successful Response

created_atdate-time | null
created_byuuid | null
iduuid

Default: [object Object]
ml_enabledboolean
updated_atdate-time | null
updated_byuuid | null

Endpoint

GET
/workspace/admin/orgs/{org_id}/settings

Request

curl -X GET 'https://{service_host}/workspace/admin/orgs/{org_id}/settings' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"settings": {
"ml_enabled": false
},
"updated_at": "2024-07-29T15:51:28.071Z",
"updated_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}

List user workspaces

Workspaces API

Version: 1.0

Returns a list of all workspaces that a specified user has a role i. Admin endpoints allow organization admin users to access any workspace, regardless of their role or lack thereof within the workspace..

Parameters

authorizationstring
Required

org_iduuid
Required
user_iduuid
Required

Default: 20

The maximum number of results to return. Limits over 100 are deprecated and may only work for some clients.

The (zero-based) offset of the first item returned in the collection.

An optional comma separated list of fields to sort the results by. Options are: name, -name, created_at, -created_at, updated_at, -updated_at, user_role, -user_role.

An optional, comma-separated list of fields by which to order the results. Each field could be prefixed with an order operator: asc: for ascending order or desc: for descending order, default is ascending order. The sortable fields are: name, created_at, updated_at, and user_role. You can also do compound sorts by comma separating your order params, e.g. asc:user_role,desc:name. This will sort by user_role in ascending order and then by name in descending order as a secondary sort.

Filter by workspace that a user has created, by user ID.

Filter by workspace that a user has created, by user ID.

Filter by the time workspace has created.

Filter by the latest time workspace was updated.

Filter by workspace name.

Filter by workspace name.

Include workspaces that have been deleted.

Returns

200

Successful Response

countinteger
firsturi
(1, 2,083) chars
lasturi
(1, 2,083) chars
nexturi | null
(1, 2,083) chars
previousuri | null
(1, 2,083) chars
totalinteger

bounding_boxBoundingBox | null
created_atdate-time

emailstring | null
iduuid
namestring | null
default_coordinate_systemstring
descriptionstring
iduuid
labelsstring[]
Default: []
ml_enabledboolean

The name of the workspace, unique within an organization and hub

self_linkuri
(1, 2,083) chars
updated_atdate-time

emailstring | null
iduuid
namestring | null
user_role"owner" | "editor" | "viewer"

Endpoint

GET
/workspace/admin/orgs/{org_id}/users/{user_id}/workspaces

Request

curl -X GET 'https://{service_host}/workspace/admin/orgs/{org_id}/users/{user_id}/workspaces' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"links": {
"count": 0,
"first": "https://example.com",
"last": "https://example.com",
"next": "https://example.com",
"previous": "https://example.com",
"total": 0
},
"results": [
{
"bounding_box": {
"coordinates": [
[
[
0,
0
]
]
],
"type": "Polygon"
},
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"default_coordinate_system": "string",
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"labels": [
"string"
],
"ml_enabled": false,
"name": "string",
"self_link": "https://example.com",
"updated_at": "2024-07-29T15:51:28.071Z",
"updated_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"user_role": "owner"
}
]
}

List workspaces

Workspaces API

Version: 1.0

Get a list of all workspaces. Admin endpoints allow organization admin users to access any workspace, regardless of their role or lack thereof within the workspace.

Parameters

authorizationstring
Required

org_iduuid
Required

Default: 20

The maximum number of results to return. Limits over 100 are deprecated and may only work for some clients.

The (zero-based) offset of the first item returned in the collection.

An optional comma separated list of fields to sort the results by. Options are: name, -name, created_at, -created_at, updated_at, -updated_at, user_role, -user_role.

An optional, comma-separated list of fields by which to order the results. Each field could be prefixed with an order operator: asc: for ascending order or desc: for descending order, default is ascending order. The sortable fields are: name, created_at, updated_at, and user_role. You can also do compound sorts by comma separating your order params, e.g. asc:user_role,desc:name. This will sort by user_role in ascending order and then by name in descending order as a secondary sort.

Filter by workspace that a user has created, by user ID.

Filter by workspace that a user has created, by user ID.

Filter by the time workspace has created.

Filter by the latest time workspace was updated.

Filter by workspace name.

Filter by workspace name.

Include workspaces that have been deleted.

Filter by workspaces that a user ID has access to.

Filter by workspaces that a user ID has access to.

Returns

200

Successful Response

countinteger
firsturi
(1, 2,083) chars
lasturi
(1, 2,083) chars
nexturi | null
(1, 2,083) chars
previousuri | null
(1, 2,083) chars
totalinteger

bounding_boxBoundingBox | null
created_atdate-time

emailstring | null
iduuid
namestring | null
current_user_role"owner" | "editor" | "viewer"
default_coordinate_systemstring
descriptionstring
iduuid
labelsstring[]
Default: []
ml_enabledboolean

The name of the workspace, unique within an organization and hub

self_linkuri
(1, 2,083) chars
updated_atdate-time

emailstring | null
iduuid
namestring | null

bounding_boxBoundingBox | null
created_atdate-time

emailstring | null
iduuid
namestring | null
current_user_role"owner" | "editor" | "viewer" | null
default_coordinate_systemstring
descriptionstring
iduuid
labelsstring[]
Default: []
ml_enabledboolean

The name of the workspace, unique within an organization and hub

self_linkuri
(1, 2,083) chars
updated_atdate-time

emailstring | null
iduuid
namestring | null

Endpoint

GET
/workspace/admin/orgs/{org_id}/workspaces

Request

curl -X GET 'https://{service_host}/workspace/admin/orgs/{org_id}/workspaces' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"links": {
"count": 0,
"first": "https://example.com",
"last": "https://example.com",
"next": "https://example.com",
"previous": "https://example.com",
"total": 0
},
"results": [
{
"bounding_box": {
"coordinates": [
[
[
0,
0
]
]
],
"type": "Polygon"
},
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"current_user_role": "owner",
"default_coordinate_system": "string",
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"labels": [
"string"
],
"ml_enabled": false,
"name": "string",
"self_link": "https://example.com",
"updated_at": "2024-07-29T15:51:28.071Z",
"updated_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
}
]
}

Get workspace

Workspaces API

Version: 1.0

Get a workspace by its ID. Admin endpoints allow organization admin users to access any workspace, regardless of their role or lack thereof within the workspace.

Parameters

authorizationstring
Required

org_iduuid
Required
workspace_iduuid
Required

Only list workspaces that have been deleted.

Returns

200

Successful Response

bounding_boxBoundingBox | null
created_atdate-time

emailstring | null
iduuid
namestring | null
current_user_role"owner" | "editor" | "viewer" | null
default_coordinate_systemstring
descriptionstring
iduuid
labelsstring[]
Default: []
ml_enabledboolean

The name of the workspace, unique within an organization and hub

self_linkuri
(1, 2,083) chars
updated_atdate-time

emailstring | null
iduuid
namestring | null

Endpoint

GET
/workspace/admin/orgs/{org_id}/workspaces/{workspace_id}

Request

curl -X GET 'https://{service_host}/workspace/admin/orgs/{org_id}/workspaces/{workspace_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"bounding_box": {
"coordinates": [
[
[
0,
0
]
]
],
"type": "Polygon"
},
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"current_user_role": "owner",
"default_coordinate_system": "string",
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"labels": [
"string"
],
"ml_enabled": false,
"name": "string",
"self_link": "https://example.com",
"updated_at": "2024-07-29T15:51:28.071Z",
"updated_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
}

Get thumbnail

Workspaces API

Version: 1.0

Returns the thumbnail image for a specified workspace. Admin endpoints allow organization admin users to access any workspace, regardless of their role or lack thereof within the workspace.

Parameters

authorizationstring
Required

org_iduuid
Required
workspace_iduuid
Required

Returns

200

Successful Response

Endpoint

GET
/workspace/admin/orgs/{org_id}/workspaces/{workspace_id}/thumbnail

Request

curl -X GET 'https://{service_host}/workspace/admin/orgs/{org_id}/workspaces/{workspace_id}/thumbnail' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

"string"

List users

Workspaces API

Version: 1.0

List all users and their roles within a workspace. Admin endpoints allow organization admin users to access any workspace, regardless of their role or lack thereof within the workspace.

Parameters

authorizationstring
Required

org_iduuid
Required
workspace_iduuid
Required

Filter to see the role of a specific user ID.

Filter to see the role of a specific user ID.

Returns

200

Successful Response

linksLinks

emailstring | null
full_namestring | null
role"owner" | "editor" | "viewer"
user_iduuid

Endpoint

GET
/workspace/admin/orgs/{org_id}/workspaces/{workspace_id}/users

Request

curl -X GET 'https://{service_host}/workspace/admin/orgs/{org_id}/workspaces/{workspace_id}/users' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"links": {
"additionalProp1": "https://example.com",
"additionalProp2": "https://example.com",
"additionalProp3": "https://example.com"
},
"results": [
{
"email": "string",
"full_name": "string",
"role": "owner",
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]
}

Assign user role

Workspaces API

Version: 1.0

Assigns a user a role in a workspace. Admin endpoints allow organization admin users to access any workspace, regardless of their role or lack thereof within the workspace.

Parameters

authorizationstring
Required

org_iduuid
Required
workspace_iduuid
Required

role"owner" | "editor" | "viewer"
Required
user_iduuid
Required

emailstring
Required
role"owner" | "editor" | "viewer"
Required

{
"role": "owner",
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}

Returns

201

Successful Response

role"owner" | "editor" | "viewer"
user_iduuid

Endpoint

POST
/workspace/admin/orgs/{org_id}/workspaces/{workspace_id}/users

Request

curl -X POST 'https://{service_host}/workspace/admin/orgs/{org_id}/workspaces/{workspace_id}/users' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"role": "owner",
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}

Remove user from workspace

Workspaces API

Version: 1.0

Removes a user's role from a workspace. Admin endpoints allow organization admin users to access any workspace, regardless of their role or lack thereof within the workspace.

Parameters

authorizationstring
Required

org_iduuid
Required
workspace_iduuid
Required
user_iduuid
Required

Returns

204

Successful Response

Endpoint

DELETE
/workspace/admin/orgs/{org_id}/workspaces/{workspace_id}/users/{user_id}

Request

curl -X DELETE 'https://{service_host}/workspace/admin/orgs/{org_id}/workspaces/{workspace_id}/users/{user_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.

Was this page helpful?